Replay message from DLQ
POST
/v1/dlq/replay/{id}
const url = 'https://api.hookbridge.io/v1/dlq/replay/01935abc-def0-7123-4567-890abcdef012';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hookbridge.io/v1/dlq/replay/01935abc-def0-7123-4567-890abcdef012 \ --header 'Authorization: Bearer <token>'Re-enqueue a message from the DLQ for delivery. Unlike regular replays, DLQ replays have no limit - you can always recover failed messages.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Unique message identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “Responses”Message replayed from DLQ
Media typeapplication/json
object
data
object
message_id
string
status
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "data": { "message_id": "01935abc-def0-7123-4567-890abcdef012", "status": "replayed" }, "meta": { "request_id": "req_xyz123" }}Message is not in DLQ
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "INVALID_REQUEST", "message": "message is not in DLQ (must have failed_permanent status)" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.